(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("react"), require("prop-types"));
	else if(typeof define === 'function' && define.amd)
		define(["react", "prop-types"], factory);
	else {
		var a = typeof exports === 'object' ? factory(require("react"), require("prop-types")) : factory(root["react"], root["prop-types"]);
		for(var i in a) (typeof exports === 'object' ? exports : root)[i] = a[i];
	}
})(typeof self !== 'undefined' ? self : this, function(__WEBPACK_EXTERNAL_MODULE_0__, __WEBPACK_EXTERNAL_MODULE_1__) {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dest/";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 260);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_0__;

/***/ }),

/***/ 1:
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE_1__;

/***/ }),

/***/ 2:
/***/ (function(module, exports, __webpack_require__) {

var __WEBPACK_AMD_DEFINE_ARRAY__, __WEBPACK_AMD_DEFINE_RESULT__;/*!
  Copyright (c) 2016 Jed Watson.
  Licensed under the MIT License (MIT), see
  http://jedwatson.github.io/classnames
*/
/* global define */

(function () {
	'use strict';

	var hasOwn = {}.hasOwnProperty;

	function classNames () {
		var classes = [];

		for (var i = 0; i < arguments.length; i++) {
			var arg = arguments[i];
			if (!arg) continue;

			var argType = typeof arg;

			if (argType === 'string' || argType === 'number') {
				classes.push(this && this[arg] || arg);
			} else if (Array.isArray(arg)) {
				classes.push(classNames.apply(this, arg));
			} else if (argType === 'object') {
				for (var key in arg) {
					if (hasOwn.call(arg, key) && arg[key]) {
						classes.push(this && this[key] || key);
					}
				}
			}
		}

		return classes.join(' ');
	}

	if (typeof module !== 'undefined' && module.exports) {
		module.exports = classNames;
	} else if (true) {
		// register as 'classnames', consistent with npm package name
		!(__WEBPACK_AMD_DEFINE_ARRAY__ = [], __WEBPACK_AMD_DEFINE_RESULT__ = (function () {
			return classNames;
		}).apply(exports, __WEBPACK_AMD_DEFINE_ARRAY__),
				__WEBPACK_AMD_DEFINE_RESULT__ !== undefined && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__));
	} else {
		window.classNames = classNames;
	}
}());


/***/ }),

/***/ 260:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(261);


/***/ }),

/***/ 261:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; /* eslint-disable no-nested-ternary */


var _react = __webpack_require__(0);

var _react2 = _interopRequireDefault(_react);

var _propTypes = __webpack_require__(1);

var _propTypes2 = _interopRequireDefault(_propTypes);

var _bind = __webpack_require__(2);

var _bind2 = _interopRequireDefault(_bind);

var _gaDataset = __webpack_require__(3);

var _gaDataset2 = _interopRequireDefault(_gaDataset);

var _userAvatar = __webpack_require__(262);

var _userAvatar2 = _interopRequireDefault(_userAvatar);

var _AnueAccount = __webpack_require__(263);

var _AnueAccount2 = _interopRequireDefault(_AnueAccount);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var cx = _bind2.default.bind(_AnueAccount2.default);

var AnueAccount = function AnueAccount(_ref) {
  var isLogin = _ref.isLogin,
      avatarSrc = _ref.avatarSrc,
      userName = _ref.userName,
      onLogin = _ref.onLogin,
      onRegister = _ref.onRegister,
      onClick = _ref.onClick,
      enableStatic = _ref.enableStatic,
      dataPrefix = _ref.dataPrefix;

  var loginGaEvent = _extends({}, (0, _gaDataset2.default)({ dataPrefix: dataPrefix, category: 'Header', action: 'click', label: 'avatar' }));
  var registerGaEvent = _extends({}, (0, _gaDataset2.default)({ dataPrefix: dataPrefix, category: 'Header', action: 'click', label: 'signup' }));

  // 登入前顯示
  var loginOptions = _react2.default.createElement(
    'div',
    null,
    _react2.default.createElement(
      'span',
      _extends({ className: cx('button', 'user-login'), onClick: onLogin && onLogin }, loginGaEvent),
      '\u767B\u5165'
    ),
    _react2.default.createElement(
      'span',
      _extends({ className: cx('button', 'user-register'), onClick: onRegister && onRegister }, registerGaEvent),
      '\u8A3B\u518A'
    )
  );

  // 登入前顯示 for Static 頁面用 (.net舊站)
  var loginOptionsWithStatic = _react2.default.createElement(
    'div',
    null,
    _react2.default.createElement(
      'a',
      _extends({ className: cx('button', 'user-login'), href: onLogin && onLogin, rel: 'noopener noreferrer' }, loginGaEvent),
      '\u767B\u5165'
    ),
    _react2.default.createElement(
      'a',
      _extends({
        className: cx('button', 'user-register'),
        href: onRegister && onRegister,
        rel: 'noopener noreferrer'
      }, registerGaEvent),
      '\u8A3B\u518A'
    )
  );

  // 登入後顯示
  var loginedInfo = _react2.default.createElement(
    'span',
    { className: cx('button', 'user-info'), onClick: onClick, title: userName },
    userName
  );

  var avatar = !avatarSrc ? _userAvatar2.default : avatarSrc;

  return _react2.default.createElement(
    'div',
    { className: cx('user-login-wrapper') },
    _react2.default.createElement('img', { src: avatar, className: cx('user-avatar'), alt: 'Avatar' }),
    isLogin ? loginedInfo : enableStatic ? loginOptionsWithStatic : loginOptions
  );
};

AnueAccount.defaultProps = {
  isLogin: false,
  avatarSrc: null,
  userName: '',
  onLogin: function onLogin() {},
  onRegister: function onRegister() {},
  onClick: function onClick() {},
  enableStatic: false,
  dataPrefix: ['data-global-ga']
};

exports.default = AnueAccount;

/***/ }),

/***/ 262:
/***/ (function(module, exports) {

module.exports = "https://sfiles.cnyes.cool/fe-common/3c6ff1da/178e8c9aa7a7a3361855961da11edaf7.svg";

/***/ }),

/***/ 263:
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin
module.exports = {"wrapperWidth":"1200px","screenSizeSm":"321px","screenSizeMd":"768px","screenSizeMl":"990px","screenSizeLg":"1024px","screenSizeXl":"1200px","screenSizeXXl":"1360px","user-login-wrapper":"_1MVKA","user-avatar":"_2cD6w","button":"_Y8OH9","user-login":"_2Ns-0","user-register":"_2w7pg","user-info":"_W_c66"};

/***/ }),

/***/ 3:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
var gaDataset = function gaDataset(_ref) {
  var _ref$dataPrefix = _ref.dataPrefix,
      dataPrefix = _ref$dataPrefix === undefined ? ['data-global-ga'] : _ref$dataPrefix,
      category = _ref.category,
      action = _ref.action,
      label = _ref.label;

  if (dataPrefix.length === 0 || !dataPrefix) {
    return null;
  }

  var gaRegExp = /^data-.*ga$/; // format restriction
  var eventsObj = dataPrefix.reduce(function (p, prefix) {
    var _p = p;

    if (gaRegExp.test(prefix)) {
      _p[prefix + '-category'] = category;
      _p[prefix + '-action'] = action;
      _p[prefix + '-label'] = label;
    }

    return _p;
  }, {});

  return eventsObj;
};

exports.default = gaDataset;

/***/ })

/******/ });
});